<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstRevisionPosition Method (IEdmEnumeratorVersion5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : GetFirstRevisionPosition Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the revisions set on this file.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstRevisionPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstRevisionPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstRevisionPosition();

#### Return Value

IEdmPos5; position of the first revision set on this file

# Remarks

After calling this method, pass the returned first revision position to IEdmEnumeratorVersion5::GetNextRevision to get the first revision. Then call IEdmEnumeratorVersion5::GetNextRevision repeatedly to get the rest of the revisions set on this file.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2